#encoding:utf-8
from apps.api.resource import UsuarioResource
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth import authenticate
from django.core import serializers
from django.shortcuts import redirect
from django.contrib.auth.decorators import login_required
from django.contrib.auth.models import User
import json as simplejson
from apps.usuario.models import Settings


@login_required
def index_handler(request):

	username = request.user

#new object already have user object
	print username.email

	try:

		current_user = User.objects.filter(username__exact  = username ).values('id','first_name','last_name','username')
	
		id_user  = current_user[0].get('id')

		settings = Settings.objects.select_related().filter(user  =  id_user )[0]

#lo settings se renderean en los templates y jamas de exponen en el frontend
		current_user = current_user[0]

		list_json = simplejson.dumps(current_user)
	except:
		pass

	ctx = {'index_active' : True , 'json' : list_json , 'settings' : settings , 'user' : current_user }

	return render_to_response('index/index.html',ctx,  context_instance = RequestContext(request)  )

