define([
'jquery',
'backbone',
'underscore',
], function($,Backbone , _ ){

return (function(){


	var Question = Backbone.Model.extend({
			
				defaults: {
					para: "",
					status_id : "",
					cc  : "",
					de : "",
					informacion : "",
					pregunta : "",

				},
				urlRoot  : "/api/v1/pregunta/",

				uri_usuario : "/api/v1/usuario/",

				uri_status : "/api/v1/status/",

				initialize : function(){

					_.bindAll()
				}
				,
				get_data_questions : function(){
				// obtengamos todo el modelo de los datos y enviarlo de forma
							/*
							   {
							   "folio": "1",
							   "creacion": "12",
							   "para": "/api/v1/usuario/1/",
							   "status_id": "/api/v1/status/2/",
							   "cc": ["/api/v1/usuario/2/","/api/v1/usuario/1/"],
							   "de": "/api/v1/usuario/2/",
							   "informacion": "hola esta es informacion y tambienquiero toda la infromacion",
							   "pregunta": "Hola quiero saber cual es el costo de produccion en la nueva linea de ensamblake y tambien quero saber porque no se ha podido tener toda la produccion posible"
							   }
							*/


					var title = $(".title-question").val();
					var information = $("#content-question").html();// no lo reemplazamos .replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/\"/g,"&quot;");
					var para = this.uri_usuario+ $(".x-field").find(".name").attr("data-id")+"/";
					var status = this.uri_usuario+ $(".x-field").find(".name").attr("data-id")+"/";
					

					this.set("para", para );
					this.set("de", this.uri_usuario+config_user.id+"/");
					this.set("informacion", information );
					this.set("pregunta", title );
					this.set("cc", this._get_id_cc() );
					this.set("status_id", this._get_status_question() );

				},
				_get_id_cc : function(){

					//obtenemos todos los CC y formamos los id
					var cc_element = $(".content-cc-data").children();
					var cc = [];
					that = this;
					  _.each(cc_element , function(element){

						       cc.push (that.uri_usuario+ $(element).find(".name").attr("data-id")+"/"  )
						           
					  });

					  return cc;

				},

				_get_status_question : function(){

					var status = ( $(".status-question-ps").is(':checked')  ) ? 2 : 1;
					status = this.uri_status+status+"/";

					return status;
				}
			
			, parse : function(response){
				return response;
				},
		  	
			url: function() { // funcion para ponner slash al final de la url
		          
			  var original_url = Backbone.Model.prototype.url.call( this );
		          var parsed_url = original_url + ( original_url.charAt( original_url.length - 1 ) == '/' ? '' : '/' );

			      return parsed_url;
			  }
		

			
			});

		

		return Question ;

})( $,Backbone , _ );
});
