from django.db import models
from django.contrib.auth.models import User

class Rol(models.Model):
    nombre = models.CharField(max_length=150, blank=True)
    crear = models.IntegerField(null=True, blank=True)
    ver = models.IntegerField(null=True, blank=True)
    modificar = models.IntegerField(null=True, blank=True)
    eliminar = models.IntegerField(null=True, blank=True)
    class Meta:
        db_table = u'rol'

#manejamos la imagen y el rol de User , lo extendemos
class Settings(models.Model):

    user  = models.ForeignKey(User)
    img = models.CharField(max_length=300, blank=True)
    rol = models.ForeignKey(Rol, db_column = "rol_id")
    class Meta:
        db_table = u'settings'

class Suscripcion(models.Model):

    suscriptor = models.ForeignKey(User , related_name = 'user_suscriptor' )
    suscrito_to = models.ForeignKey(User , related_name = 'user_suscrito')

