//file will be responsible for configuring Require.js and loading initially important dependencies

//Require.js nos permitira configurar el AMD 

require.config({

	baseUrl : "media/js/libs/" , 

	shim : {

	'timeago' :  {


				deps : ['jquery']
	},
	'autoresize' :  {


				deps : ['jquery']
	},

	'editor' :  {

	},


	'bootstrap' :  {


				deps : ['jquery']
	},

	/* es importante el orden en el que se cargan los modulos en shim aqui son dependientes aun */
	 'underscore': {

            exports: '_'

        } ,
        
		/* Framework con ModalBox */
		'reis' : {

					deps : ['jquery'] ,

					exports : '$'

		},

		'backbone' : {


				deps : ['underscore' , 'jquery'] ,

				exports : 'Backbone'


		}
	},


	paths :{ 

// 		HANDLERS 

		'handler_edit'  :  '../core/edit' , // seccion del preguntas recibidas en mis preguntas
		'search_user'  :  '../view/search/filter_users' , // seccion del preguntas recibidas en mis preguntas
// 		VIEWS AND TEMPLATES MIS PREGUNTAS
		
		'own_questions'  :  '../view/ownquestions/timeline' , // seccion del preguntas recibidas en mis preguntas
		'questions_release'  :  '../view/ownquestions/release' , // seccion de preguntas realizadas en mis preguntas 

// 		VIEWS AND TEMPLATES PREGUNTA 1:1

		'question_timeline'  :  '../view/dashboard/question' , 
		'status'  :  '../view/dashboard/status' , // el status de la pregunta
		'view_question'  :  '../view/dashboard/view_question' , //ver detalle de pregunta
// 		VIEW TEMPLATE USER AND USERS

		'users_questions'  :  '../view/user/user' , // tiene 2 usuarios , necesarios para renderear en la pregunta
		'user_unique'  :  '../view/user/user_unique' , // tiene solo 1 usuario , para cuando solo se quiera rendear un unico usuario

// 		VIEWS AND TEMPLATES
		'contacts'  :  '../view/contactos/contact' , // maneja todos los contactos que tiene el usuario
		'create_user'  :  '../view/createuser/createuser' , // boton para crear usuarios 
		'create_organization_button'  :  '../view/organizacion/button_organization' , // boton para crear organziaciones 
		'add_user_organization_button'  :  '../view/organizacion/button_add_user' , // boton para crear organziaciones 
		'organization'  :  '../view/organizacion/organization' , // 
		'view_organization'  :  '../view/organizacion/view_organization' , //ver detalle de  organizacion
		'organizacion_template'  :  '../view/organizacion/unique_organization' , //regresa el render de una organizacion ( Nombre - N miembros )

		'filters'  :  '../view/questions/filters' , // maneja todos los contactos que tiene el usuario
		'paginator'  :  '../view/questions/paginator' , // maneja todos los contactos que tiene el usuario
		'reply_template'  :  '../view/respuesta/reply' , // maneja el template de la respuesta de la pregunta 
		'timeline'  :  '../view/dashboard/timeline' , 
		'app'      :  '../app' ,
		'router'   :  '../router',
		'question' :  '../view/modal/question', /* boton y modalbox para hacer preguntas */
		'setting' :  '../view/setting/setting', /* boton y modalbox para hacer preguntas */
		'setting_template' :  '../view/setting/unique_setting', /* boton y modalbox para hacer preguntas */
		'search'   :  '../view/search/search',	/* buscar preguntas o personas */
		'handlers' :  '../core/handlers', /* libreria que contiene manejo de tabs ..etc */
/*
		MODELS AND CONTROLLERS 
*/
		'setting_model' : '../model/setting/setting',
		'question_model' : '../model/question/question',
		'model_collection_reply' : '../model/respuesta/reply',
		'model_collection_reply_post' : '../model/respuesta/post_reply',// este es para postear respuestas
		"organizacion_collection" : "../model/organizacion/organizacion",

		} 
	});

  console.log("init requirejs")

require([

//Carga de nuestro modulo y lo pasamos a nuestra funcion
'app' ,

], function(App){

 
	App.initialize();

});
	
