// IMPORTANTE : cuando se crea una instancia al vistiar alguna url , se vuelve a crear otra instancia N veces
// se tienen que re utilizar todas las instancias guardandolas en globales $.data
define( function(require){ 



return (function(){

	var $		= require('jquery'),
	    _ 		= require('underscore'),
	    Backbone    = require('backbone'),
	    question	= require('question'),
	    search	= require('search'),
	    handler 	= require('handlers'),
	    bootstrap  	= require('bootstrap'), 
	    view_question = require('view_question'),
	    Settings	= require('setting') , 
	    Timeline 	= require('timeline') , 
	    timeago 	= require('timeago'),
	    Organization = require('organization'),
	    ownquestions = require('own_questions'),
	    view_organization = require('view_organization'),
	    ownquestions_release = require('questions_release'),
	    Contacts 	= require('contacts');
	    edit = require('handler_edit');
    
/*
*************************************************************************************************************
***************************** DASHBOARD INIT EVENTS ********************************************************
*************************************************************************************************************
*************************************************************************************************************
*/

 
//activar indicador de fechas
$("abbr.timeago").timeago();

//acuvar boton de regresar
$(".back_option").click(function(){
	
	// si es la primera ves que entras al sitio entonces al dar click atras , te lleva al root
	if(window.history.length <= 1 ) {
		App.Router.prototype.navigate("/" , { trigger : true });
	}else{

		window.history.back();

	}

	});
// resize al contenedor de pregntas respecto el monito

update_window_size();
$( window ).unbind();
$( window ).resize(function() {
update_window_size();
});

function update_window_size(){

	var height_window = $( window ).height()
	var height_header = 71;
	var height_path_application = 46
	var height_body_class = height_window - (height_header + height_path_application)  
	 height_body_class-=7; // para ajustarlo mejor
	  
	  $(".main .body").css({ height : height_body_class }); 
	  $(".container-contants , .container-organizations").css({ height : height_body_class -71 }); 

}
//************************************************************************************************************
//************************************************************************************************************

/* Este snippet se usa para ocultar el contenido  el buscador instantaneo ,  busca preguntas
   cuando pierde el foco , cuando ya no se quiere dar click en su contenido 
   */
      
      var str_search_instant = $('.reponse-question-filter');

      $("#main_container").click(function() {

	         if ( str_search_instant.css('display') == 'block' ) {
			         str_search_instant.hide();
					         
		    }     
      });

/* fin del snipped */


var  Dashboard = Backbone.View.extend({

        	defaults : {

        		handler : "dashboard" , 

        	} ,
				 
		initialize : function(){

    			/* activamos la tab seleccionada y mostramos el contenido UI */

				handler.tabs.active({ 
										tab : this.defaults.handler , 
										container : this.defaults.handler

									});
				new Timeline();
		}

});

/*
*************************************************************************************************************
****************************** MIS PREGUNTAS INIT EVENTS ********************************************************
*************************************************************************************************************
*************************************************************************************************************

*/

  var      Preguntas = Backbone.View.extend({

        	defaults : {

        		handler : "preguntas" , 

        	} ,
		initialize : function(){

    			/* activamos la tab seleccionada y mostramos el contenido UI */
				handler.tabs.active({ 
										tab : this.defaults.handler , 
										container : this.defaults.handler

									});


				new ownquestions(); 
		}

});
        /*
*************************************************************************************************************
****************************** ORGANIZACIONES INIT EVENTS ********************************************************
*************************************************************************************************************
*************************************************************************************************************

*/

    var    Organizaciones = Backbone.View.extend({

        	defaults : {

        		handler : "organizaciones" , 

        	} ,
		initialize : function(){

    			/* activamos la tab seleccionada y mostramos el contenido UI */
				handler.tabs.active({ 
										tab : this.defaults.handler , 
										container : this.defaults.handler

									});

			console.log('organize');
			new Organization();

		}

});

        /*
*************************************************************************************************************
****************************** AJUSTES INIT EVENTS ********************************************************
*************************************************************************************************************
*************************************************************************************************************

*/

      var  Ajustes = Backbone.View.extend({

        	defaults : {

        		handler : "ajustes" , 

        	} ,
		initialize : function(){

    			/* activamos la tab seleccionada y mostramos el contenido UI */
				handler.tabs.active({ 
										tab : this.defaults.handler , 
										container : this.defaults.handler

									});

			new Settings();

		}

});

   /*
*************************************************************************************************************
****************************** CONTACTOS INIT EVENTS ********************************************************
*************************************************************************************************************
*************************************************************************************************************

*/

        var Contactos = Backbone.View.extend({

        	defaults : {

        		handler : "contactos" , 

        	} ,
		initialize : function(){

    			/* activamos la tab seleccionada y mostramos el contenido UI */
				handler.tabs.active({ 
										tab : this.defaults.handler , 
										container : this.defaults.handler

									});

			new Contacts(); 
		}

});


/*
*************************************************************************************************************
*************************************************************************************************************
*************************************************************************************************************
*************************************************************************************************************

*/


window.App = {
    Models: {},
    Collections: {},
    Views: {},
    Router: {}
};

//$(".container[data=preguntas]").hide();

var initialize = function(){



window.App.Router = Backbone.Router.extend({

	initialize : function(){
	/* instanciamos todos los recursos generales de la aplicacion */

			new search(); /* bucar personas o preguntas */

			new edit(); /* funcionalidad para editar los campos */

			// iniciamos el falso que no se ha creado ninguna instancia de organizacion+
			// esto es para llevar el control de las instancias en el routeo

			$("body").data("organization"  , { value : false });
			
			new question(); /* boton de pregunta y modalbox */
	},

	routes : {

		"" : "dashboard", /* index */

		"dashboard" : "dashboard",

		"preguntas" : "preguntas",
	
			"pregunta/:id" : "ver_pregunta", // detalles de una pregunta
			"preguntas/realizadas" : "preguntas_realizadas", // Preguntas Realizadas

		"organizaciones" : "organizaciones",
			"organizaciones/:id" : "ver_organizacion", // detalles de organizacion

		"contactos" : "contactos",

		"ajustes" : "ajustes",
	},
	preguntas_realizadas : function(){

	/* activamos la tab seleccionada y mostramos el contenido UI */
			handler.tabs.active({ 
						tab : "preguntas", 
						container :"preguntas"
			});
	// activamos la tab de Preguntas Realizadas
		
		var release_question  = new ownquestions_release();
	},
	ver_organizacion : function(id){
	console.log("wooooooh ", id);
	try {

		  id = parseInt(id);
		  if(id != undefined &&  id != null  && id > 0  ){

				console.log("antro ver organizaciones")
				var is_defined =  $("body").data("organization").value ;

				console.log(is_defined);

				if(is_defined){
					
					//hacemos referencia a la instancia existente
					d_organization = $("body").data("organization").instance;
					
				}else{

					
					var  d_organization = new view_organization();

					//guardamos la instancia creada como global
					$("body").data("organization" , { value : true , instance : d_organization  });
				}
				  
				  		console.log("here maybe");
						
						d_organization.render_organization({ id_organization : id } );	
				  }else{
					App.Router.prototype.navigate( "/" ,{ trigger : true });
			  }//end if
			  }//end try
		catch(e) {
				
				App.Router.prototype.navigate( "/" ,{ trigger : true });
		}//end cathc

	},
	ver_pregunta : function(id){
		

		try {

		  id = parseInt(id);
		  if(id != undefined &&  id != null  && id > 0  ){

				console.log("entro")
				var is_defined =  $("body").data("d_question_is_defined") ;

				if(is_defined){
					
					//hacemos referencia a la instancia existente
					d_question = $("body").data("d_question_instance");
					
				}else{

					
					$("body").data("d_question_is_defined" , true);
					var  d_question = new view_question();

					//guardamos la instancia creada como global
					$("body").data("d_question_instance" , d_question);
				}
				  
						

						d_question.render_question({ id_question : id } );	
				  }else{
					App.Router.prototype.navigate( "/" ,{ trigger : true });
			  }//end if
			  }//end try
		catch(e) {
				
				App.Router.prototype.navigate( "/" ,{ trigger : true });
		}//end cathc
	},

	dashboard :  function(){


			 new Dashboard();


	},
	preguntas : function(){
			console.log("preguntas iniciado");
			new Preguntas();
	},
	organizaciones : function(){
			if(config_user.is == 'Admin' )
				{
			new Organizaciones();
			console.log("organizaciones iniciado");
				}

	},
	contactos : function(){
			new Contactos();
	},
	ajustes : function(){
			if(config_user.is == 'Admin' )
				{
			new Ajustes();
			console.log("ajustes iniciado");
				}

	}

});



/* Enabling backbone history so that backbone start monitoring hash changes in url. */

/* intanciamos el Router para que backbone history funcione */
new App.Router();

Backbone.history.start();


};


 return {

    initialize: initialize
    
  };


})();// closure


} );

