define(function(require){


return (function(){
	var $		= require('jquery'),
	    _ 		= require('underscore'),
	    users	= require('users_questions'),
	    status_question      = require('status'),
	    Backbone    = require('backbone');
	
	//Question 1:1

	var question  = Backbone.View.extend({
		
		tagName : "tr",
		className : "question-str",
		template_question : $("#template-question-timeline").html(),
		events: {
		
			"click " : "view_question", 

		},
		view_question  : function(e){
			//.find(".question-str").attr("data")
			id_question = this.$el.attr('data');
			window.location = '#/pregunta/'+id_question;
		},
	render  : function(){
			id_question = (this.model.toJSON().id); // se toma y se agrega como atributo para poder ver los detalles de la pregunta

			this.$el.attr('data' ,  id_question);
		
			users_template  = new users({ // se renderea los usuarios 

					model :	 this.model
			});

			render_user = users_template.render().el.outerHTML;
			
			// status		 
			var  status_question_template  =  new status_question({ // se renderea los usuarios 

					model :	 this.model
			});

			template_status_question =  status_question_template.render().el.outerHTML;


			var view_question  = _.template(this.template_question , this.model.toJSON()  , render_user , template_status_question);
			this.$el.html(view_question);
			return this;
		}



	});


	return question;
})(require);
});
