define(function(require){


return (function(){

        var $                = require('jquery'),
         _                 = require('underscore'),
         Backbone = require('backbone'),
         users        = require('users_questions'),
         timeago         = require('timeago'),
         status_question = require('status'),
         reply = require('model_collection_reply'),
         reply_template = require('reply_template'),
         autoresize = require("autoresize"),
         reply_question = require("model_collection_reply_post");


var        details_question = {
                Models                 : {},
                Collections         : {},
                Views                 : {}

        }

//------------------------------------------------------------------------------------------------------------------------------- model
        
                console.log(Backbone);
                details_question.Models.details = Backbone.Model.extend({

                        urlRoot : "/api/v1/pregunta", // urlroot es importante para que responda a los cambios de id dinamicos
                                                        
                        parse : function(response){
                                return response;
                },
                 url: function() { // funcion para ponner slash al final de la url
                 var original_url = Backbone.Model.prototype.url.call( this );
                 var parsed_url = original_url + ( original_url.charAt( original_url.length - 1 ) == '/' ? '' : '/' );

                         return parsed_url;
                         }
                
                });
//------------------------------------------------------------------------------------ views

                details_question.Views.details = Backbone.View.extend({
                        
                        el : ".detail_question_ui",

                        template : $("#template-question-details").html() ,
                                
                        container_replies : ".reply-content", // este es el contenedor general de la respuesta
                        
                        set_counter_questions : ".counter-reply" ,// el contador en la pagina que dice 23 respuestas

                        events : {
                                 'keyup textarea#reply-question' : 'reply_question', // el evento keyup del area de respuesta se maneja en la vista general porque views/reply maneja solo 1:1 respuesta        
                        },

                        // salvar la respuesta de la pregunta a traves del textarea
                        reply_question : function(e){
                        
                                var that = this;
                                console.log(e.which);
                                var reply_text = $("#reply-question").val().trim();
                                if(reply_text.length>1 && e.which == 13 && !this.synchronized ){
                                        
                                        reply_sanatize = reply_text.replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/\"/g,"&quot;");

                                        this.synchronized = true;
                                        console.dir(reply_question);
                                        var id_current_question = $(".question-detailed").attr("data-id");
                                        var send_new_reply_question = new reply_question();
                                        send_new_reply_question.set("user" , "/api/v1/usuario/"+config_user.id+"/");
                                        send_new_reply_question.set("pregunta_id" , "/api/v1/pregunta/"+id_current_question+"/");
                                        send_new_reply_question.set("respuesta" , reply_sanatize );
                                        console.dir(send_new_reply_question)
                                        send_new_reply_question.save(null,{
                                        
                                                success : function(data , res ){
                                                console.log(data);
                                                //res contiene los nuevos datos que llegaron por API , actualizamos el modelo
                                                data.set(res);
                                                
                                                that.prepend_reply(data);                
                                                console.dir( details_question.Collections.get_replies.models)
                                                details_question.Collections.get_replies.add(data);
                                                that.update_counter_questions_html();
                                                $("#reply-question").val("");
                                                $(".timeago").timeago();
                                                that.synchronized = false;
                                                },

                                                error : function(){

                                                        console.log("error");

                                                }
                                                
                                        });

                                }
                        },
                        update_counter_questions_html : function(){

                                                var reply_length = details_question.Collections.get_replies.models.length;
                                                var message_or_number_replies = ( reply_length > 0 ) ? ( ( reply_length == 1 ) ? reply_length + " Respuesta" : reply_length + " Respuestas" ) : "No Hay Respuesta"
                                                $(this.set_counter_questions).html(message_or_number_replies);        

                        },
                        prepend_reply : function(item){

                                console.log(details_question.Collections.get_replies.models.length , " LENTGH" );
                                var replies = new reply_template({


                                        model :item
                                });

                                var reply_rendered = replies.render().el;
                                console.log(reply_rendered);
                                $(this.container_replies).prepend(reply_rendered)
                                
                                // se anima la respuesta que se acaba de ingresar

                                var first_reply = $(".reply-content").children()[0]
                                $(first_reply).addClass("last_reply");

                                $( first_reply ).animate(
                                {
                                         backgroundColor : '#FAFBFB',
                                        
                                },1500);


                        },

                        initialize : function(){

                this.synchronized = false;
                config_user['path'] = 'detail_question'
                config_user['slice_name'] = true;
                        },
                        show : function(){

                                $(".details_question").show();
                        },
                        render_question : function(option){
                                that = this;
                                this.$el.html("");
                                this.show();
                                //Nuevo modelo con un id dinamico

                                var that = this;
                                question = new details_question.Models.details({ id : option.id_question });

                                question.fetch({

                                        error : function(){
                                                        
                                                        App.Router.prototype.navigate("/",{trigger : true })
                                        },
                                        beforeSend : function(){

                                                $("#loader").show();

                                        },
                                        success : function(quess){

                                                //****************************************************************
                                                //****************************************************************
                                                //obtenemos las respuestas de esta pregunta
                                                console.log(option , "option<========================================");
                                                details_question.Collections.get_replies = new reply(null ,{ query : option.id_question });
                                                details_question.Collections.get_replies.fetch({
                                                        
                                                success : function(data){

                                                console.log( details_question.Collections.get_replies)
                                                console.log(data , "<========================================");
                                                that.update_counter_questions_html();        

                                                        _.each(data.models , function(item){
                                                                
                                                                that.render_reply(item);
                                                        
                                                        });


                                                $(".timeago").timeago();
                                                 }
                                                });
                                                //****************************************************************
                                                //****************************************************************

                                                // rendereamos los usuarios

                                                users_template = new users({

                                                        model :        question
                                                });
                                                render_user = users_template.render().el.outerHTML;

                                                // status                
                                                status_question_template = new status_question({ // se renderea los usuarios

                                                model :        question
        
                                                });

                                                template_status_question = status_question_template.render().el.outerHTML;

                                        
                                                var detail_view = _.template(that.template, quess.toJSON() , render_user ,template_status_question );
                                                that.$el.html(detail_view);

                                                
                                                $("#loader").hide();
                                                $("#reply-question").val("");                
                                                $("#reply-question").autosize();
                                                $(".timeago").timeago();
                                        }
                                        
                                });
                        },
                        // obtenemos el render de las respuestas
                        render_reply : function(reply){

                                var replies = new reply_template({

                                        model : reply
                                });

                                var reply_rendered = replies.render().el;
                                console.log(reply_rendered);
                                $(this.container_replies).append(reply_rendered)

                        }

                });

        return details_question.Views.details;

})(require);// closure

});
