/* hacer templates que guarden todo el scheme de preguntas dentro de js/templates/question/ e invocarlo */
define([
  'jquery',
  'underscore',
  'backbone',
  'reis', /* Modal is exposed in $ object */
  'search_user', /* buscador de usuarios para los campos cc , para , etc.. */
  'question_model',// modelo de la pregunta , este se comunica con la aPI/V1/pregunta/
  // 'text!templates/project/list.html' meter los templates aqui
  'autoresize',// auto resize a los textarea 
  'editor',// editor de pregunta editor de preguntass 
  
  ],function($, _ ,Backbone,$  , search_user , question_model){

return (function(){
		
	var question = {
		Models : {},
		Views : {}
	}

		question.Models.question_model = question_model; 	/* View que maneja todos los eventos que contiene el modal para hacer una pregunta */

		question.Views.Question = Backbone.View.extend({

				el : '.box_body',

					
				template_question : $("#template-question").html(), /* Este template contiene todo lo que el modal en body tendra */
				
				title : "Crear Pregunta" ,
	
				footer : $("#template-buttons-question").html(),

				initialize : function(){

					_.bindAll(this, '_send_question');

					
					this.render();
					
						$box = $(".box");


						if( !$box.data("event")  || $box.data("event") == undefined ){
						
						
						$box.data("event", true);
						
							$(".box").on("click" , ".send_question" , this._send_question);
						}	

					},
					render : function(){

					
					$.modal( { 
				           title : this.title  , 
					   content : 'Contenido para hacer una pregunta que este saldra de un template de unserscore',
					   footer : this.footer , 
					} );
	
							var template_modal = _.template( this.template_question );
							this.$el.html(template_modal);

							new search_user(); // iniciamos la feature para filtrar usuarios en los input de modal
							//autosize para el input de la pregunta titulo
							$("#title-question").autosize();

							// agregamos editor para el input de pregunta
							var editor = new MediumEditor('.editable' , {
								anchorInputPlaceholder: 'inserta el link ( url ) ',
								buttons : ['bold', 'italic', 'underline', 'anchor', 'header1', 'header2', 'quote',  'orderedlist'], 
							});
				},
		
				_is_valid_required : function(){
					
					var is_valid = true;
					max_lenght_valid = 3;
					element_required = $(".box_body input[required=true] ,textarea[required=true]"); 

					_.each(element_required , function(element ){
						    
						        is_valid = ($(element).val().length < max_lenght_valid ) ? false : is_valid 
							 
					});

				return is_valid;
				},
				get_model_application :  question.Models.question_model
				,
				_send_question : function(){
						if(this._is_valid_required() ){
								
							var question = new this.get_model_application();
							
 							question.get_data_questions()
							
							//el modelo recibe en primer parametro los datos a guardar , si a se obtuvieron los datos , enotnces se pasa null
							question.save(null, {
							
							success : function(model){
							
							
	
							//se cierra el modal box
							$(".close_button").click()
							$(".loader").show();
						var id_new_question  = model.get("id");
							//true es para que redireccione , si true no es establecido solo se actualiza la url
							App.Router.prototype.navigate("#/pregunta/"+id_new_question ,true)
							},
							wait: true,
							
							});
					}
				}
		});

/* =======================================================================================================================
==========================================================================================================================
==========================================================================================================================
*/

	

	/* View para el boton de hacer pregunta */

		var Question_button =  Backbone.View.extend({


			el : '.content-question',


			initialize  : function(){
				
				
					
			},

			events : {


					'click #bpinf-question' : 'show'

				},

			show : function(){

				/* invoke modal question box */
				
				var quest = new question.Views.Question();
		 

			}



		});




	 	return Question_button;

})($, _ ,Backbone,$  , search_user , question_model);

 });

