/*
		
// Esta vista crea el boton para agregar nuevos usuarios 

return : 
	render().el;

		el template del boton para insertarlo donde se requiera.
*/

define(function(require){

return (function(){
 		var $		= require('jquery'),
	    _ 		= require('underscore'),
	    Backbone    = require('backbone'),
 	 search_user = require('search_user'); /* buscador de usuarios para los campos cc , para , etc.. */

	// cambiar este modelo por agregar organizacionuser , la api para comunicarse
	var insert_new_user = Backbone.Model.extend({
		
		url : '/api/v1/organization/',
		defaults : {

			organizacion_id : "",
			miembros : "",
			new_user : "true",
			}
	});

	var add_user_organization_view = Backbone.View.extend({
			

			el : ".save_new_users",

			uri_usuario : "/api/v1/usuario/",
			
			events : {

				"click" : "send_new_user",
			},

			send_new_user : function(){
			

				var new_users = new insert_new_user();
				new_users.set("miembros", this._get_id_cc() );
				new_users.set("organizacion_id", $(".organization-info").attr("data-id") );

				new_users.save(null,{
						
						success : function(data, response){
							console.log("INSERTADOOOOS")
							var model_add_=  Backbone.Model.extend();
							var new_users = new  model_add_(); 
							new_users.set(response);
							// organizacion.Collections.get_organization es el modelo que contiene todas las organizaciones , si le hacemos add , se actualiza automaticamente
							//toda la vista , la logica esta en organizacion.js
							// Change. v2. se redirecciona a la nueva organizacion creada
							//organizacion.Collections.get_organizations.add(new_users);	
							var id_organizacion = new_users.get("id");
							details_organization.Views.details.prototype._render_users_from_organizations(id_organizacion)
							details_organization.Views.details.prototype._render_data_from_organization(id_organizacion)
							$(".close_button").click();
						}
					});

			},
			_get_id_cc : function(){

					//obtenemos todos los CC y formamos los id
					var cc_element = $(".content-cc-data").children();
					var cc = [];
					that = this;
					  _.each(cc_element , function(element){
						  	

						       cc.push (that.uri_usuario+ $(element).find(".name").attr("data-id")+"/"  )
						           
					  });

					console.log(cc);
					  return cc;

			}

	});
// vista que crea el boton de "button_add_user" este boton abre la modal box , NO ENVIA DATOS para eso se usa la Vista de arriba
	var button_add_user = Backbone.View.extend({

			//contenido de la modal
			title : "Agregar usuarios a la organizacion",

			//contenido de la modal
			content : $("#template-add-user-organizacion").html(),

			//contenido de la modal
			footer : $("#template-buttons-add").html(),


			// template del boton agregar usuario
			template : $("#template-add-user-button").html(),
			
			events : {

				"click button" : "add_user_organization",

			},
			render : function(){

			var button_template = _.template(this.template );
			this.$el.html(button_template);
			return this;

			},

			add_user_organization : function(){
			//modal para crear una organizacion
			var that = this;	
			$.modal({

				title : that.title,
				content : that.content , 
				footer : that.footer,
			});
				
				new search_user();
				// escuchamos al boton de agregar usuario 
				new add_user_organization_view();

			}
					
		});
	
 return button_add_user;

})(require);
});
