//esta vista controla la vista principal de las organizaciones 
define(function(require){

return (function(){
 		var $		= require('jquery'),
	    _ 		= require('underscore'),
	    Backbone    = require('backbone'),
	    view_organization    = require('view_organization'),
	    organizacion_collection = require("organizacion_collection"),
	    organizacion_template = require("organizacion_template"),
	    create_organzation_button    = require('create_organization_button');

	organizacion = {

		Models : {},
		Views: {},
		Collections : {},
	}

// VIEW general de organizacion para inicializar todas las instancias 
	organizacion.Views.organization_main = Backbone.View.extend({

			el  : ".organizacion",

			initialize : function(){

				console.log(true)
				var button_create_organization = new  create_organzation_button();
				var template_button = button_create_organization.render().el
				console.log(template_button)
				$(".container_button_organization").html(template_button);
				organizacion.Collections.get_organizations = new organizacion_collection()
				organizacion.Collections.get_organizations.on('add', this.render, this);

				var $search_input =$(".search-organization input");		
				$search_input.keyup(this._filter_contact );
				$search_input.val("");
				organizacion.Collections.get_organizations.on("reset", this.update_organizations, this);
				$('body').data("saved_model_organization" , { is_saved : false } )
				this.render();

			},

			render : function(){
				
				$(".container-organizations").html("");
				var that = this;
				organizacion.Collections.get_organizations.fetch({
					
					beforeSend : function(){

						$("#loader").show();
					},
					success :function(data){
						console.log(data)
						if (data.length != 0){
						that.update_organizations(data);

						}else{

					$(".container[data=organizaciones] .content-questions-stream .container-organizations")
					.append("<div class='no_response'> No has creado ninguna organización. </div>");

					
						}
					
						$("#loader").hide();
					}
				});
			},
			update_organizations : function(data){
				
				$(".container-organizations").html("")

					var that = this;
					_.each(data.models , function(items){

							that.render_organization(items);
								
						});
						
			},
			render_organization : function(item){
					

					var rendered_organization = new  organizacion_template({
						
						model : item	
					})

					var template_organization = rendered_organization.render().el;
					$(".container-organizations").append(template_organization);

			},
			/* este snippet filtra las organizaciones cuando hay oprimida una tecla en el buscador de organizaciones */
		_filter_contact  : function(e){
				
				//salvamos los modelos completos , todos los modelos originales
				if ( !$('body').data("saved_model_organization").is_saved ){
					
					$('body').data("saved_model_organization").models = organizacion.Collections.get_organizations.models
					$('body').data("saved_model_organization").is_saved = true;
				}

				var value = $(e.currentTarget).val().toLowerCase().trim();
	 
	 			models = $('body').data("saved_model_organization").models 
				/*
				Looks through each value in the list, returning an array of all the values that pass a truth test (iterator).
				Delegates to the native filter method, if it exists. 
				*/
	 			filtered_models = _.filter( models , function(item){
		    
					var name_complete = item.get("nombre").toLowerCase()
					return name_complete.indexOf(value) !== -1;
			   
	 			});

	 			organizacion.Collections.get_organizations.reset(filtered_models)
	  

		},

					
		});
	
 return organizacion.Views.organization_main;

})(require);
});
