define([
'jquery',
'backbone',
'underscore',
], function($,Backbone , _ ){

return ( function(){
	
	var organizacion = {
		Views: {},
	}
// vista para generar una lista de las organizaciones existentes

		organizacion.Views.organization = Backbone.View.extend({

		tagName  : 'li',

		template  : $("#template-organizacion-names").html(),

		render : function(){


		 var members = this.model.get("miembros")
		 var pluralized = "";
		 if(members <= 0){ 
			
			pluralized = 'ningun miembro aún'
		
		 }else{ 
			var str_plural= ( members == 1 ) ? 'miembro' : 'miembros';	
			pluralized = members+' '+str_plural;
		}

			this.model.set("plularize" , pluralized);	
			var user_template = _.template(this.template , this.model.toJSON()   );
			this.$el.html(user_template);
			return this;
		},
	});



		return organizacion.Views.organization;
})();// closure

});
	
