

define(function(require){


return (function(){

	var $		= require('jquery'),
	    _ 		= require('underscore'),
	    organizacion_collection = require("organizacion_collection"),// organization/1/
	    organizacion_template = require("organizacion_template"), // template de los datos de la organizacion
	    user_unique = require("user_unique"), // template de los datos de la organizacion
	    button_add_user = require("add_user_organization_button"), //  boton para agregar usuarios a la organizacion 
	    Backbone    = require('backbone');

details_organization = {
		Models 		: {},
		Collections 	: {},
		Views 		: {},
		id : 		"", // id de la organizacion

	}

//------------------------------------------------------------------------------------------------------------------------------- model 
	
		details_organization.Models.details = Backbone.Model.extend({})
		
		details_organization.Collections.details = Backbone.Collection.extend({

			model : details_organization.Models.details,
			
			url : "/api/v1/organizacion_usuario/?organizacion=", // urlroot es importante para que responda a los cambios de id dinamicos
							
			parse : function(response){

				console.log(response)
				return response.objects;
		},
		});
//------------------------------------------------------------------------------------ views

		details_organization.Views.details = Backbone.View.extend({

			initialize: function(){

				console.log("yeeeah");
				$(".detail_organization_ui").html("");
				_.bindAll("_render_users_from_organizations");
			},
			render_organization : function(option){

				$(".detail_organization_ui").html("");
				$(".container-organizations").html("");
				this._show_and_hide_views();
				this._load_data_details_organization(option.id_organization);

			},
			// mostramos la nueva vista del detalle de organizacion
			_show_and_hide_views : function(){

				$(".container[data=organizaciones]").hide();// ocultamos donde estan las organizaciones
				$(".details_organization").show();

			},
			_load_data_details_organization : function(id){


				var root = this;
				details_organization.Collections.data_organization = new organizacion_collection();

				// escribimos los datos de la organizacion (" nombre + cantidad de miembros )
				console.log(true)
				root._render_data_from_organization(id);

				// obtenemos los usuarios que estan dentro de las organizaciones
				root._render_users_from_organizations(id);


				button_add_user_template = new  button_add_user();
				$(".container_button_add_user_org").html(button_add_user_template.render().el );
				// rendereamos los usuarios de las organizaciones
			}, _render_users_from_organizations : function ( id){

				var root = this;
				console.log("heree")
				details_organization.Collections.current_data = new details_organization.Collections.details();
				details_organization.Collections.current_data.url = details_organization.Collections.current_data.url+id;

				details_organization.Collections.current_data.fetch({
					
					success : function(data){

						root._update_users_organization()

						}
						
					});
			},
			_update_users_organization : function(){

				$(".detail_organization_ui").html("");
				_.each(details_organization.Collections.current_data.models ,  function(item){

				
					var contactView  = new user_unique({
						model :item	
					});

					$(".detail_organization_ui").append(contactView.render().el );
				});

			},
			// rendereamos los datos de la organizacion 
			_render_data_from_organization : function(id){

				console.log(id , "<)========");
			//	details_organization.Collections.data_organization.set("id" , id);
			// no funciona si hago collection.set(id , new_id );
				details_organization.Collections.data_organization.url = "/api/v1/organization/";
				var url_organization = details_organization.Collections.data_organization.url+id+"/";	
				details_organization.Collections.data_organization.url = url_organization;

				details_organization.Collections.data_organization.fetch({
					
					
					success : function(data){
					console.log("data-->" ,data);	
					_.each(data.models , function(item){

					console.log(item)
					var rendered_organization = new  organizacion_template({
						
						model : item	
					})

					var template_organization = rendered_organization.render().el;
					console.log(template_organization);

					console.log("============== ahh");
					$(".name-organization").html(template_organization);

					});
				}
						
				});

			},

		});

	return details_organization.Views.details;

})(require);// closure

});
