/*
		
// Esta vista crea ls botones para filtrar las preguntas 

Vista:

crea boton con los siguientes componentes

ID reales en base de datos

	1 pendiente
	2 Urgente
	3 respondido
	4 cancelado
	todo.

return : 
	render().el;

		el template del boton para insertarlo donde se requiera.

	get_uri_status():

		ID del boton que fue oprimido junto con el parametro a filtrar.
		ejm , boton urgente fue oprimido 

		return

			status_id=2
*/

define(function(require){

return (function(){
 		var $		= require('jquery'),
	    _ 		= require('underscore'),
	    Backbone    = require('backbone');


	var filter_button = Backbone.View.extend({

			set_callback : function() {},

			el : ".filters-container" ,

			template : $("#template-filters").html(),

			uri_status : "&status_id=",

			// data_type hace referencia al tipo de filtro que fue clickleado
			data_type : "",
			
			events : {

				"click span" : "get_type_data",

			},
			render : function(){

			var button_template = _.template(this.template );
			this.$el.html(button_template);
			return this;

			},

			get_type_data : function(e){
					
				var button_clicked = $(e.currentTarget);
				//texto del boton que se le dio click
				var button_text = button_clicked.html();
				//cambiar el contenido del dropmenu
				$(".filters-container button").html(button_text+'<span class="caret"></span>');
				// set_callback es una funcion que pasaremos por parametro en la vista que requeiramos actualizar
				// los datos , esto es para que cuando el boton se le de click automaticamente se dispare un update al 
				// contenedor actual , o al contenedor instanciado.
				var data_type = button_clicked.attr("data");
				console.log(data_type)
				this.data_type = data_type;
				config_user["uri_status_question"] =  this.get_uri_status();
				//ejecutamos el update del controllador de timeline con preguntas o donde provenga el botnon de filtro	
				this.set_callback();
			},
			get_uri_status : function(){

			return (this.data_type == 0  ) ? "" : this.uri_status+this.data_type; 
				

			}
					
		});
	
 return filter_button;

})(require);
});
