// Este archivo hace la paginacion de las preguntas
/*
	return template

		regresa el template del boton "ver mas preguntas o pendientes" <div class="paginator-question"> Click para ver mas preguntas o pendientes </div>
		
	events 

		click : exec_callback(e):
			
			// ejecuta el callback que recibe la vista , ( generalmente esta callback crea el nuevo contenido y lo agrega al contenedor )
			this.callback();
	
	attributes

		this.next_url = contiene la nueva url para obtener preguntas, este atributo lo sobreescribe el controlador que lo este utilizando ( Dashboad , Mis preguntas )

	Functions:
		
		render : 
			
		    return _.template(this.template , this.next_url);

		
*/

define(function(require){

return (function(){
 		var $		= require('jquery'),
	    _ 		= require('underscore'),
	    Backbone    = require('backbone');

	var pagination = Backbone.View.extend({


			className  : "paginator-question",
			//antes de regresar o llamar el template , se debe de proporcionar la variable next_url desde el controller

			template : '<span class="url-next" next="<%= next_url %>" > Click para ver mas preguntas o pendientes </span>',  
			
			render : function(){
			console.log(this.next_url)

			var data = { next_url : this.next_url };
			
			var pagination_template = _.template(this.template , data );

			this.$el.html(pagination_template);
			return this;
			},
			events: {

				'click' : 'exec_callback',
			},

			exec_callback : function(e){

				this.callback();
			}
		});
	
 	return pagination;
})(require);
});
