// este es el buscador principal de la aplicacion
// busca preguntas , por folio , por titulo de la pregunta , y tal ves contenido.

// IMPORTANTE ; NO SE ESTA USANDO LA CLASE GENERAL DE PREGUNTA , PORQUE TASTYPIE SOLO SOPORTA GET POR ID , NO POR PARAMETROS ESTABLECIDOS
define([ "jquery",
	"underscore",
	"backbone",
	"question_timeline",// contiene el template de pregunta
	"timeago",// modificar las fechas hace que tanto tiempo se posteareon
	],function($,_,Backbone , instance_question , timeago ){


return (function(){

		var search_question = {
			
			Views: {},
			Models  :{},
			Collections :{},

		};
//--------------------------------------------------------------------------------------- MODEL AND CONTROLLER 
		//MODELS 
		search_question.Models.search = Backbone.Model.extend({});
		//Collections

		search_question.Collections.search= Backbone.Collection.extend({

			model :	search_question.Models.search , 

			url : "api/v1/buscarpregunta/?user_suscriptor="+config_user.id+"&query_string=",

			initialize : function( models , options){
				this.query = options.query;
				this.url = this.url+ this.query

			},
		parse : function(response){

			return response.objects;
		}
		});
//--------------------------------------------------------------------------------------- VIEW


	search_question.Views.search =  Backbone.View.extend({

				el : ".content-search",

				content_result  : ".container_questions_searched",

				initialize : function(){
					
					var that = this;
					this.synchronized = true;
					this.reset_input();

					$(".container_questions_searched").on(  "click",".question-str" ,function(){

						that._close();
					});
				},
				reset_input : function(){

					$(".content-search input").val("");
				},

				events : {
					
					'focus input' : 'focused' ,
					'blur input' : 'blured',
					'keyup input' : 'filter',

				},
				_up_tab : function(){ 
					
					
				// si existen usuarios en la lista entonces si podra bajar con la tecla , si no no podra porque no hay contactos es visible
				if( search_question.Collections.search_models.models.length > 0){

				childs = current_object.find(".container_questions_searched").children()
				max_length_childs = childs.length;
				current_element_selected = ( current_element_selected == 1 ) ? max_length_childs  : current_element_selected-=1;
				//current_element_selected = ( current_element_selected == max_length_childs ) ? 0 : 

				console.log(current_element_selected);
				for(i=0; i< max_length_childs ; i++  ){
					
					$(childs[i]).removeClass("tab_selected_in_list");

					if ( i == current_element_selected - 1 ){
						childs[i].className = childs[i].className+ " tab_selected_in_list";
					}
				}

				}
				},
				_down_tab : function(){ 
					
							

				if( search_question.Collections.search_models.models.length > 0){

				childs = current_object.find(".container_questions_searched").children()
				max_length_childs = childs.length;

				current_element_selected = ( current_element_selected == max_length_childs  ) ? 1 : current_element_selected +=1;

				console.log(childs);
				console.log(current_element_selected);
				for(i=0; i< max_length_childs ; i++  ){
					
					$(childs[i]).removeClass("tab_selected_in_list");

					if ( i == current_element_selected - 1 ){
						childs[i].className = childs[i].className+ " tab_selected_in_list";
					}
				}
				}// end if is there models
					
				},
				_enter_tab : function(){ 
				
				if( search_question.Collections.search_models.models.length > 0){
					var id_selected_question = $(".tab_selected_in_list").attr("data");	

					App.Router.prototype.navigate("#/pregunta/"+id_selected_question , {trigger : true });
						
					this._close();	
				}
				},
				_close : function(){
					
					$(".reponse-question-filter").hide();
					this.reset_input();

				},
				_esc_tab : function(){ },
				filter : function(e){
				
				/*	keycode para manejar los eventos del teclado 

					38 -> Up
					40 -> down
					37 -> left
					39 -> right
					13 -> enter
					27 -> esc .
				*/
				switch(e.which){

					//arriba
					case 38 : this._up_tab();  break;
					//down
					case 40 : this._down_tab();  break;
					//left
					case 37: this._up_tab(); break;
					//right
					case 39: this._down_tab(); break;
					//enter
					case 13: this._enter_tab();  break;
					//esc
					case 27: this._esc_tab(); break;
					//search
					default: 

				//No pueden reenderear nungun recurso si alguien esta rendereando multipli clicked ajax
					if (this.synchronized ){
						
						this.synchronized = false;
						this.search(e); 
					}//if

				}//switch

				}//render
				,
				search : function(e){


					current_object  = $(".content-search");
					// instancia que conteine todos los resultados de los filtrados
					
					current_element_selected = 0;


					var content_result = $(".reponse-question-filter");
					content_result.show();

					content_result.find(".no_response").hide();
					content_result.find(".no_response").remove();
					$(this.content_result).html("");
					console.log( $(e.currentTarget).val() );

					var user_keys = $(e.currentTarget).val();
					//null es el modelo , pero como no mandamos modelo , mandamos null para eviar que query lo tome como modelo.
					search_question.Collections.search_models = new search_question.Collections.search(null ,{ query : user_keys }) 
					var that = this;
					search_question.Collections.search_models.fetch( {
					
					success : function(data){

					if( data.length != 0){

					content_result.find(".timeline").show();

						_.each(data.models , function(question_item){

							that.render_questions(question_item);

						});//each

					}//if is there data
					else{
						
					content_result.find(".timeline").hide();

					content_result.append('<div class="no_response"> no hay ningun resultado </div>');	

						}

				// dejamos libre el proceso y ahora puede usarlo otra peticion
				that.synchronized = true;
				$(".timeago").timeago();

					}//success
				});// fetch

				},
				render_questions : function( question ){
					
				
			console.log(question);
			console.log("rendereo de pregunta");

			config_user['slice_name'] = false;
			var question_instance = new instance_question({
				model : question 
			});

			var new_question_filtered = question_instance.render().el;
			$(this.content_result).append(new_question_filtered);

				},
				blured : function(){
					
					this.reset_input();
					this.$el.removeClass('active-search');
				},

				focused :  function(e){

				this.$el.addClass('active-search');

					console.log(e);

			

				}


			});// END EXTEND

		return search_question.Views.search;

})();


	});

