from django.conf.urls import patterns, include, url
from django.conf import settings
from apps.api.urls import v1_api

# Uncomment the next two lines to enable the admin:
# from django.contrib import admin
# admin.autodiscover()

urlpatterns = patterns('',
	 url(r'^' , include('apps.index.urls')) ,
	 url(r'login/' , include('apps.login.urls')) ,
	    (r'^api/' , include(v1_api.urls)),
	
    	(r'api/doc/', include('tastypie_swagger.urls', namespace='tastypie_swagger')),
 

)



if settings.DEBUG:
	urlpatterns += patterns('',
		url(r'^media/(?P<path>.*)$', 'django.views.static.serve', {
			'document_root': settings.MEDIA_ROOT,
			}),
		)
